package common

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestGetEmails(t *testing.T) {
	str := `a@naver.com aaaaaaaaaaaaaaaaaaaaaaaaaa ddddddddddddddddd
dddddddddddddddddd fjskjkfjdkl 하너ㅏㅇ러ㅏ어라ㅓ망 ㄹ어낭러ㅏㄹ
a_a@gmail.com 러아라ㅓㅏ어ㅏㄹ
a123@daum.net`
	//str = "aaa@gmail.com"
	ss := GetEmails(str)

	assert.EqualValues(t, []string{"a@naver.com", "a_a@gmail.com", "a123@daum.net"}, ss)
}
